Blame tests/p_strace/5-test_strace.sh

Steve Barnes 464547
#!/bin/bash
root 2bfd68
# Author: Steve Barnes (steve@echo.id.au)
Steve Barnes 464547
40b4c8
if [ "$CONTAINERTEST" -eq "1" ]; then
40b4c8
    t_Log "Running in container -> SKIP"
40b4c8
    exit 0
40b4c8
fi
40b4c8
Steve Barnes 464547
t_Log "Running $0 - checking strace runs and returns non-zero exit status."
Steve Barnes 464547
Steve Barnes 464547
STRACE=`which strace`
Steve Barnes 464547
6d1bce
[ "$STRACE" ] || { t_Log "Failed to find strace. Cannot continue."; exit $FAIL; }
Steve Barnes 464547
root 2bfd68
$STRACE ls &>/dev/null
Steve Barnes 464547
6d1bce
[ $? -eq 0 ] || { t_Log "Strace exited with non-zero status. That ain't good..."; exit $FAIL; }